GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions
timeout_encoding.h File Reference
`#include "src/core/support/string.h"`
`#include <grpc/support/time.h>`

Go to the source code of this file.

## Macros
#define | GRPC_CHTTP2_TIMEOUT_ENCODE_MIN_BUFSIZE (GPR_LTOA_MIN_BUFSIZE + 1)

## Functions
void | grpc_chttp2_encode_timeout (gpr_timespec timeout, char *buffer)
int | grpc_chttp2_decode_timeout (const char *buffer, gpr_timespec *timeout)

## Macro Definition Documentation

#define GRPC_CHTTP2_TIMEOUT_ENCODE_MIN_BUFSIZE (GPR_LTOA_MIN_BUFSIZE + 1)

## Function Documentation

int grpc_chttp2_decode_timeout | ( | const char * | buffer,
|  | gpr_timespec * | timeout
| ) |  |

void grpc_chttp2_encode_timeout | ( | gpr_timespec | timeout,
|  | char * | buffer
| ) |  |